Name:           perl-Config-Augeas
Version:        0.701
Release:        1%{?dist}
Summary:        Edit configuration files through Augeas C library
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Config-Augeas/
Source0:        http://www.cpan.org/modules/by-module/Config/Config-Augeas-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  augeas-devel
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Augeas is a library and command line tool that focuses on the most basic
problem in handling Linux configurations programmatically: editing actual
configuration files in a controlled manner.

%prep
%setup -q -n Config-Augeas-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
LANG=C ./Build test verbose=1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Config*
%{_mandir}/man3/*

%changelog
* Sat Feb 20 2010 Alan Pevec <apevec@redhat.com> 0.701-1
- new upstream release 0.701
    * lib/Config/Augeas.pm: Added new error strings from Augeas 0.7.0
    * lib/Config/Augeas.xs: fix core dump in get (initialise RETVAL
      before calling aug_get). Added new error constants from Augeas 0.7.0

* Sun Jan 03 2010 Alan Pevec <apevec@redhat.com> 0.601-1
- new upstream release 0.601
  * lib/Config/Augeas.pm : Added methods load, error, error_message,
    error_minor_message and error_details
  * lib/Config/Augeas.xs : Added interface for aug_load and
    aug_error* from Augeas 0.6.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.501-3
- rebuild against perl 5.10.1

* Tue Nov 24 2009 Alan Pevec <apevec@redhat.com> 0.501-2
- workaround in %%check for https://fedorahosted.org/augeas/ticket/35

* Tue Nov 24 2009 Alan Pevec <apevec@redhat.com> 0.501-1
- new upstream release 0.501
  * Build.PL: modified gcc options to issue more warnings (and fixed them)
  * lib/Config/Augeas.xs: Fixed compiler warnings (Thanks to Guillaume Rousse)
- new upstream release 0.500
  * lib/Config/Augeas.pm
    (new): added no_load, save => noop, no_std_inc options
    (defvar): new method for Augeas 0.5.0
    (defnode): new method for Augeas 0.5.0

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.400-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Alan Pevec <apevec@redhat.com> - 0.400-1
- new upstream release 0.400
  * lib/Config/Augeas.xs (match): dies if aug_match returns -1. Perl
    programmer can choose to trap this failure with eval or Error
    module.
  * lib/Config/Augeas.pm (match): cleanup trailing slashes in
    path (required by new behavior of Augeas 0.4.0)

- new upstream release 0.305
  * t/Config-AugeasC.t: Removed test involving AUGROOT environment
    variable (Lead to FTBS on Debian amd64). The removed tests are
    already performed passing augeas root through aug_init.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.304-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 25 2008 Alan Pevec <apevec@redhat.com> 0.304-1
- new upstream release 0.304
  * lib/Config/Augeas.pm (print): Improved print method.
  * lib/Config/Augeas.pm (set): no longer dies when trying to set a
    value to 0. Only dies when the value to set is undefined.

* Mon Sep 01 2008 Alan Pevec <apevec@redhat.com> 0.301-2
- fix test failure

* Mon Sep 01 2008 Alan Pevec <apevec@redhat.com> 0.301-1
- new upstream release 0.301
  * lib/Config/Augeas.pm (move): New method for Augeas 0.3.0
    aug_mv function. 'move' can also be called with 'mv'

* Fri Aug 01 2008 Alan Pevec <apevec@redhat.com> 0.203-1
- new upstream release 0.203

* Wed Jul 30 2008 Alan Pevec <apevec@redhat.com> 0.202-1
- new upstream release 0.202

* Wed Jul 02 2008 Alan Pevec <apevec@redhat.com> 0.201-1
- new upstream release 0.201

* Mon Jun 30 2008 Alan Pevec <apevec@redhat.com> 0.200-1
- Specfile autogenerated by cpanspec 1.77.
- temporary patch to remove /usr/local references

